<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        table {
            border-collapse: collapse;
            display: block;
            border: 5px solid #ddd;
        }
        th, td {
            vertical-align:middle;

        }

        @media print {
            button {
                display:None;
            }
        }

    </style>
</head>
<body>
<table>
    <tr>
    <td style="vertical-align:top;"><img id="qr_image" style="width:300px;" src=""/></td>
    <td style="padding-top:20px;padding-left: 10px;padding-right:30px;padding-bottom:30px;">
        <h1 style="display:inline;" id="title"></h1>
        <br/><br/>
        <div id="desc"></div>
    </td>
    </tr>
</table>
<button onclick="window.print();">Drucken</button>
<script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
<script defer type="module">
    import {CONFIG} from '/pb-config.js?v=[cs_version]';
    import {getQueryParam, getCookie} from '/csf-lib/pb-functions.js?v=[cs_version]';

    document.addEventListener("DOMContentLoaded", function() {
        let qr_url = `${CONFIG.API_BASE_URL}/get_qrcode/${getQueryParam("qid")}?apikey=${getCookie("apikey")}`
        $("#title").html(getQueryParam("title"))
        $("#desc").html(getQueryParam("desc"))
        $("#qr_image").attr("src", qr_url)
    });
</script>
</body>
</html>